zenilib: zenilib/jni/external/sdl/SDL/SDL_test_md5.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
SDL_test_md5.h File Reference
`#include "begin_code.h"`
`#include "close_code.h"`

Go to the source code of this file.

## Classes

struct | SDLTest_Md5Context

## Typedefs

typedef unsigned long int | MD5UINT4

## Functions

void | SDLTest_Md5Final (SDLTest_Md5Context *mdContext)
void | SDLTest_Md5Init (SDLTest_Md5Context *mdContext)
void | SDLTest_Md5Update (SDLTest_Md5Context *mdContext, unsigned char *inBuf, unsigned int inLen)

## Detailed Description

Include file for SDL test framework.

This code is a part of the SDL2_test library, not the main SDL library.

Definition in file SDL_test_md5.h.

## Typedef Documentation

typedef unsigned long int MD5UINT4

Definition at line 68 of file SDL_test_md5.h.

## Function Documentation

void SDLTest_Md5Final | ( | SDLTest_Md5Context * | mdContext | ) |

Definition at line 180 of file SDL_test_md5.c.

References SDLTest_Md5Context::buf, SDLTest_Md5Context::digest, SDLTest_Md5Context::i, i, SDLTest_Md5Context::in, int, MD5PADDING, NULL, SDLTest_Md5Transform(), and SDLTest_Md5Update().

Referenced by SDLTest_GenerateExecKey().

void SDLTest_Md5Init | ( | SDLTest_Md5Context * | mdContext | ) |

/brief initialize the context

/param mdContext pointer to context variable

Note: The function initializes the message-digest context mdContext. Call before each new use of the context - all fields are set to zero.

Definition at line 110 of file SDL_test_md5.c.

References SDLTest_Md5Context::buf, SDLTest_Md5Context::i, and NULL.

Referenced by SDLTest_GenerateExecKey().

void SDLTest_Md5Update | ( | SDLTest_Md5Context * | mdContext,
|  | unsigned char * | inBuf,
|  | unsigned int | inLen
| ) |  |

/brief update digest from variable length data

/param mdContext pointer to context variable /param inBuf pointer to data array/string /param inLen length of data array/string

Note: The function updates the message-digest context to account for the presence of each of the characters inBuf[0..inLen-1] in the message whose digest is being computed.

Definition at line 131 of file SDL_test_md5.c.

References SDLTest_Md5Context::buf, SDLTest_Md5Context::i, i, SDLTest_Md5Context::in, int, NULL, and SDLTest_Md5Transform().

Referenced by SDLTest_GenerateExecKey(), and SDLTest_Md5Final().